Bug 556146 - setroubleshoot gives "invalid literal for int" backtrace
Summary: setroubleshoot gives "invalid literal for int" backtrace
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-16 18:55 UTC by Michal Jaegermann
Modified: 2010-01-29 03:33 UTC (History)
3 users (show)

Fixed In Version: 2.2.60-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-29 03:33:16 UTC


Attachments (Terms of Use)
an output from 'ausearch -m avc' for Jan 16th (23.61 KB, text/plain)
2010-01-18 17:47 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2010-01-16 18:55:51 UTC
Description of problem:

I am seeing in logs on one machine a collection of backtraces like these:

setroubleshoot: [avc.ERROR] Plugin Exception selinuxpolicy #012Traceback (most recent call last):#012  File "/usr/lib/python2.6/site-packages/setroubleshoot/analyze.py", line 148, in analyze_avc#012    report = plugin.analyze(avc)#012  File "/usr/share/setroubleshoot/plugins/selinuxpolicy.py", line 46, in analyze#012    if (avc.has_any_access_in(['write']) or avc.open_with_write())       and \#012  File "/usr/lib/python2.6/site-packages/setroubleshoot/audit_data.py", line 628, in open_with_write#012    if self.a1 and (int(self.a1) & O_ACCMODE) != os.O_RDONLY:#012ValueError: invalid literal for int() with base 10: '89c7668'

Version-Release number of selected component (if applicable):
setroubleshoot-server-2.2.52-1.fc12.i686

How reproducible:
It is logged at various times

Additional info:
If that is relevant 'abrt' happens NOT to be installed on that machine.

Comment 1 Daniel Walsh 2010-01-18 16:16:41 UTC
Could you attach the avc from the audit.log that is causing this crash?

ausearch -m avc

Comment 2 Michal Jaegermann 2010-01-18 17:47:38 UTC
Created attachment 385165 [details]
an output from 'ausearch -m avc' for Jan 16th

The whole output of 'ausearch -m avc' takes 2.1M and goes back to "Wed May 20 05:00:45 2009".  If you want to see that all then drop me a note.  Here ia a fragment corresponding to January 16th.  Log entries in question showed up in /var/log/messages that day at:
Jan 16 00:55:52
Jan 16 00:55:52
Jan 16 05:59:52
Jan 16 05:59:52
How to coordinate that with the attached I am not sure.

Comment 3 Daniel Walsh 2010-01-18 21:32:02 UTC
Ok I found it.  Thanks.

Fixed in setroubleshoot-2.2.56-1

Comment 4 Fedora Update System 2010-01-21 00:04:41 UTC
setroubleshoot-2.2.58-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0815

Comment 5 Fedora Update System 2010-01-29 03:32:15 UTC
setroubleshoot-2.2.60-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.